Subject: Re: Bypassing hooks while cherry-picking

From: Grégoire PARIS <[email-masked]>
Date: Thu, 3 Mar 2016 23:18:29 +0100

Oh great, glad to see that, good job!

greg0ire

Le 03/03/2016 22:17, Kevin Daudt a écrit :
> On Tue, Mar 01, 2016 at 12:01:53PM +0100, greg0ire wrote:
>> Hello,
>>
>> using git 2.1.4 here, and it seems there is no option to bypass pre-commit
>> hooks while cherry-picking, while git commit provides a --no-verify option.
>> I ended up doing this to disable hooks while cherry picking :
>>
>>      test -f "$GIT_DIR"/CHERRY_PICK_HEAD && exit 0
>>
>> Wouldn't it be best to add the --no-verify option to cherry-pick too?
>> I had a conflict when cherry-picking the commit, maybe this does not happen
>> otherwise?
>>
>> Steps to reproduce :
>>
>> 1. create a pre-commit hook
>> 2. create a commit that fails the hook, and bypass the hook
>> 3. checkout another branch
>> 4. might be optional : create a conflicting change with the previously
>> created commit
>> 5. cherry-pick the commit
>> 6. might be optional : solve the conflick and use git cherry-pick --continue
>>
>> Regards,
>>
>> --
>> greg0ire
> Forgot to CC you, but I've submitted a patch[0] that adds this option.
> The conflict does matter because otherwise the pre-commit hook does not
> run.
>
> Because they're now the rc-cycle, it might take a while before the patch
> is accepted.
>
>
> [0]:http://article.gmane.org/gmane.comp.version-control.git/288124
>